<?php namespace App\Controllers;

use App\Models\AdminModel;
use App\Models\CategoriesModel;
use App\Models\BitcoinModel;
use App\Models\PaypalModel;
use App\Models\StreamsModel;
use App\Models\HomepageMessage;
use App\Models\CategoryPageMessage;
use App\Models\StreamPageMessage;
use App\Models\ShareLinksModel;

// use CodeIgniter\HTTP\Files\UploadedFile;


class Mobile extends BaseController
{
	


	public function index()
	{
		$data = [];
		helper(['form']);
		$model = new CategoriesModel();
		$categories = $model->findAll();
		$data['categories'] = $categories;
		$model = new StreamsModel();
		$streams = $model->findAll();
		$data['streams'] = $streams;

		$date = gmdate("Y-m-d H:i:s");
		$db = \Config\Database::connect();
		
		$query = $db->query('SELECT * FROM streams WHERE startTime < "'.$date.'" AND endTime > "'.$date.'" ;');
		$liveStreams = $query->getResult();
		$data['liveStreams'] = $liveStreams;

		echo view('templates/adminHeader', $data);
		echo view('dashboard');
		// echo view('templates/footer');
	}



	//--------------------------------------------------------------------

	public function categories()
	{
		$data = [];
		helper(['form']);
		$model = new CategoriesModel();
		$categories = $model->findAll();
		
		echo json_encode(["categories"=>$categories]);
	}

	public function links()
	{
		$data = [];
		helper(['form']);
		$model = new BitcoinModel();
		$bitcoin = $model->find(1);
		$data['bitcoin'] = $bitcoin; 
		$model = new PaypalModel();
		$paypal = $model->find(1);
		$data['paypal'] = $paypal;
		
		echo json_encode(["links"=>$data]);
	}

	public function streams($catId)
	{
		$data = [];
		helper(['form']);
		
		$date = gmdate("Y-m-d H:i:s");
		$db = \Config\Database::connect();
		
		$query = $db->query('SELECT * FROM streams where category = '.$catId.' AND startTime < "'.$date.'" AND endTime > "'.$date.'" AND mobile=1 ;');
		$liveStreams = $query->getResult();

		$query = $db->query('SELECT * FROM streams where category = '.$catId.' AND endTime > "'.$date.'" AND startTime > "'.$date.'" AND mobile=1 ;');
		$upcomingStreams = $query->getResult();

		$query = $db->query('SELECT * FROM streams where category = '.$catId.' AND endTime = "1971-10-10 00:00:00" AND startTime = "1971-10-10 00:00:00" AND mobile=1');
		$postponedStreams = $query->getResult();

		$data['liveStreams'] = $liveStreams;
		$data['upcomingStreams'] = $upcomingStreams;
		$data['postponedStreams'] = $postponedStreams;
		
		echo json_encode(["streams"=>$data]);
	}



	public function addCategory(){
		$data = [];
		helper(['form']);
		$err = [];

		if ($this->request->getMethod() == 'post') {
			$rules = [
				'name' => 'required|max_length[50]',
			];
			
			
			if (! $this->validate($rules)) {
				$data['validation'] = $this->validator;
			}else{
				$session = session();
				$file = $this->request->getFile('logo');
				if (! $file->isValid())
				{
					$session->setFlashdata('error', 'Invalid File.');	
				}
				else{
					$originalName = $file->getClientName();
					$tempName = explode('.',$originalName);
	
					$originalName = md5($originalName).".".end($tempName);
					$file->move('./uploads/categories/logos', $originalName);

					$model = new CategoriesModel();

					$newData = [
						'name' => $this->request->getVar('name'),
						'slug' => str_replace(' ', '',$this->request->getVar('name')),
						'logo' => $originalName,
					];
					$model->save($newData);
					$session->setFlashdata('success', 'Category has been added successfully.');
				}
				return redirect()->to('/admin/categories/add');

			}
		}
		echo view('templates/adminHeader', $data);
		echo view('addCategory');
	}

	public function editCategory($id){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$rules = [
				'name' => 'required|max_length[50]',
			];
			
			
			if (! $this->validate($rules)) {
				$data['validation'] = $this->validator;
			}else{
				$session = session();
				$file = $this->request->getFile('logo');
				if (! $file->isValid())
				{
					$session->setFlashdata('error', 'Invalid File.');	
				}
				else{
					$originalName = $file->getClientName();
					$tempName = explode('.',$originalName);
	
					$originalName = md5($originalName).".".end($tempName);
					$file->move('./uploads/categories/logos', $originalName);

					$model = new CategoriesModel();

					$newData = [
						'name' => $this->request->getVar('name'),
						'slug' => str_replace(' ', '',$this->request->getVar('name')),
						'logo' => $originalName,
					];
					$model->update($id,$newData);
					$session->setFlashdata('success', 'Category has been edited successfully.');
				}
				return redirect()->to('/admin/categories/edit/'.$id);

			}
		}
		$model = new CategoriesModel();
		$category = $model->find($id);
		$data["category"] = $category;
		echo view('templates/adminHeader', $data);
		echo view('editCategory');
	}

	public function deleteCategory($id){
		$data = [];
		helper(['form']);
		$session = session();
		$model = new CategoriesModel();
		$model->delete($id);
		$session->setFlashdata('success', 'Category has been deleted successfully.');
		return redirect()->to('/admin/categories/');
	}

	public function bitcoin(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$rules = [
				'address' => 'required',
			];
			
			
			if (! $this->validate($rules)) {
				$data['validation'] = $this->validator;
			}else{
				$session = session();
				
				$model = new BitcoinModel();

				$newData = [
					'address' => $this->request->getVar('address'),
				];
				$model->update(1,$newData);
				$session->setFlashdata('success', 'Bitcoin address has been set successfully.');
				
				return redirect()->to('/admin/bitcoin');

			}
		}
		$model = new BitcoinModel();
		$bitcoin = $model->find(1);
		$data['bitcoin'] = $bitcoin;
		echo view('templates/adminHeader', $data);
		echo view('bitcoin');
	}

	public function paypal(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$rules = [
				'link' => 'required',
			];
			
			
			if (! $this->validate($rules)) {
				$data['validation'] = $this->validator;
			}else{
				$session = session();
				
				$model = new PaypalModel();

				$newData = [
					'link' => $this->request->getVar('link'),
				];
				$model->update(1,$newData);
				$session->setFlashdata('success', 'Paypal address has been set successfully.');
				
				return redirect()->to('/admin/paypal');

			}
		}
		$model = new PaypalModel();
		$paypal = $model->find(1);
		$data['paypal'] = $paypal;
		echo view('templates/adminHeader', $data);
		echo view('paypal');
	}

	public function games(){
		$data = [];
		helper(['form']);
		$db = \Config\Database::connect();
		$query = $db->query('SELECT streams.id AS sid ,opponent1Name,opponent2Name,name AS categoryName,startTime,endTime FROM streams INNER JOIN categories ON categories.id=streams.category');
		$streams = $query->getResult();
		$data['streams'] = $streams;
		echo view('templates/adminHeader');
		echo view('games', $data);
	}

	public function addGames(){
		$data = [];
		helper(['form']);
		$session = session();
		if ($this->request->getMethod() == 'post') {
			
			$rules = [
				'opponent1Name' => 'required|max_length[50]',
				'category' => 'required',
				'streamLink' => 'required',
				'url' => 'required',
			];
			
			
			if (! $this->validate($rules)) {
				$data['validation'] = $this->validator;
				$session->setFlashdata('error', 'Some error Occured.Please Try Again.');
			}
			else{
				$images = [];
				$files = $this->request->getFiles();
				$opponent1LogoImage = $files['opponent1Image'];
				$opponent2LogoImage = $files['opponent2Image'];

				foreach ($files as $file) {
					if($file->isValid()){
						$originalName = $file->getClientName();
						$tempName = explode('.',$originalName);
		
						$originalName = md5($originalName).".".end($tempName);
						$file->move('./uploads/teams/logos', $originalName);
						array_push($images, $originalName);
					}
				}
				
				$catModel = new CategoriesModel();
				$cat = $catModel->where('name',$this->request->getVar('category'))->find();
				$cat = $cat[0]['id'];


				$model = new StreamsModel();

				$logo1  = $this->request->getVar('opponent1LogoUrl');
				$logo2 = $this->request->getVar('opponent2LogoUrl');

				$newData = [
					'opponent1Name' => $this->request->getVar('opponent1Name'),
					'opponent2Name' => $this->request->getVar('opponent2Name'),
					'opponent1LogoUrl' => isset($logo1) ? $logo1: '',
					'opponent2LogoUrl' => isset($logo2) ? $logo2: '',
					'opponent1Image' => isset($images[0]) ? $images[0] : '',
					'opponent2Image' => isset($images[1]) ? $images[1] : '',
					'category' => $cat,
					'streamLink' => $this->request->getVar('streamLink'),
					'chatLink' => $this->request->getVar('chatLink'),
					'startTime' => $this->request->getVar('startTime'),
					'endTime' => $this->request->getVar('endTime'),
					'url' => $this->request->getVar('url'),
					'special' => $this->request->getVar('special'),
				];
				$model->save($newData);
				$session->setFlashdata('gameSuccess', 'Game has been added successfully.');
			}
			
			return redirect()->to('/admin/games/add');

		}


		$model = new CategoriesModel();
		$categories = $model->findAll();
		$data['categories'] = $categories;
		echo view('templates/adminHeader', $data);
		echo view('addGames');
		


	}

	public function editGame($id){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$rules = [
				'opponent1Name' => 'required|max_length[50]',
				'opponent2Name' => 'required|max_length[50]',
				'category' => 'required',
				'streamLink' => 'required',
				'chatLink' => 'required',
			];
			
			
			if (! $this->validate($rules)) {
				
				$data['validation'] = $this->validator;
			}else{
				
				$session = session();
				$catModel = new CategoriesModel();
				$cat = $catModel->where('name',$this->request->getVar('category'))->find();
				$cat = $cat[0]['id'];
				$model = new StreamsModel();

				$newData = [
					'opponent1Name' => $this->request->getVar('opponent1Name'),
					'opponent2Name' => $this->request->getVar('opponent2Name'),
					'category' => $cat,
					'streamLink' => $this->request->getVar('streamLink'),
					'chatLink' => $this->request->getVar('chatLink'),
					'startTime' => $this->request->getVar('startTime'),
					'endTime' => $this->request->getVar('endTime'),
				];
				
				$model->update($id,$newData);
				$session->setFlashdata('gameSuccess', 'Game has been edited successfully.');
				return redirect()->to('/admin/game/edit/'.$id);

			}
		}
		$db = \Config\Database::connect();
		$query = $db->query('SELECT streams.id AS sid ,opponent1Name,opponent2Name,name AS categoryName,startTime,endTime,category,streamLink,chatLink FROM streams INNER JOIN categories ON categories.id=streams.category WHERE streams.id = "'.$id.'";');
		$streams = $query->getResult();
		$data['streams'] = $streams;
		$model = new CategoriesModel();
		$category = $model->find($streams[0]->category);
		$data["category"] = $category;

		$model = new CategoriesModel();
		$category = $model->find();
		$data["categories"] = $category;
		echo view('templates/adminHeader');
		echo view('editGame', $data);
	}

	public function deleteGame($id){
		$data = [];
		helper(['form']);
		$session = session();
		$model = new StreamsModel();
		$model->delete($id);
		$session->setFlashdata('success', 'Game has been deleted successfully.');
		return redirect()->to('/admin/games/');
	}

	public function postponeGame($id){
		$data = [];
		helper(['form']);
		$session = session();
		$model = new StreamsModel();
		$newData = [
			'startTime' => '0000-00-00 00:00:00',
			'endTime' => '0000-00-00 00:00:00',
		];
		
		$model->update($id,$newData);
		$session->setFlashdata('success', 'Game has been postponed successfully.');
		return redirect()->to('/admin/games/');
	}
	
	public function homeMessage(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$session = session();
			
			$model = new HomepageMessage();

			$newData = [
				'message' => $this->request->getVar('message'),
				'color' => $this->request->getVar('color'),
			];
			
			$model->update(1,$newData);
			$session->setFlashdata('success', 'Message has been updated successfully.');
			return redirect()->to('/admin/messages/home/');
		}
		
		$model = new HomepageMessage();
		$message = $model->find();
		$data['message'] = $message[0];
		echo view('templates/adminHeader');
		echo view('homeMessage', $data);
	}

	public function categoryMessage(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$session = session();
			
			$model = new CategoryPageMessage();

			$newData = [
				'message' => $this->request->getVar('message'),
				'color' => $this->request->getVar('color'),
			];
			
			$model->update(1,$newData);
			$session->setFlashdata('success', 'Message has been updated successfully.');
			return redirect()->to('/admin/messages/category/');
		}
		
		$model = new CategoryPageMessage();
		$message = $model->find();
		$data['message'] = $message[0];
		echo view('templates/adminHeader');
		echo view('categoryMessage', $data);
	}

	public function streamMessage(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			$session = session();
			
			$model = new StreamPageMessage();

			$newData = [
				'message' => $this->request->getVar('message'),
				'color' => $this->request->getVar('color'),
			];
			
			$model->update(1,$newData);
			$session->setFlashdata('success', 'Message has been updated successfully.');
			return redirect()->to('/admin/messages/stream/');
		}
		
		$model = new StreamPageMessage();
		$message = $model->find();
		$data['message'] = $message[0];
		echo view('templates/adminHeader');
		echo view('streamMessage', $data);
	}

	public function share(){
		$data = [];
		helper(['form']);
		if ($this->request->getMethod() == 'post') {
			
			$session = session();
			
			$model = new ShareLinksModel();

			$newData = [
				'whatsapp' => $this->request->getVar('whatsapp'),
				'facebook' => $this->request->getVar('facebook')
			];
			$model->update(1,$newData);
			$session->setFlashdata('success', 'Share Links has been set successfully.');
			
			return redirect()->to('/admin/share');

		
		}
		$model = new ShareLinksModel();
		$links = $model->find(1);
		$data['links'] = $links;
		echo view('templates/adminHeader', $data);
		echo view('share');
	}
}