<?php namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Categories extends Migration
{
	public function up()
	{
		$this->forge->addField([
			'id'          => [
					'type'           => 'INT',
					'unsigned'       => TRUE,
					'auto_increment' => TRUE
			],
			'name'       => [
					'type'           => 'VARCHAR',
					'constraint'     => '50',
			],
			'slug'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '50',
			],
			'logo'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '70',
			 ],
			'created_at'       => [
				'type'           => 'DATETIME',
				// 'default'        => 'current_timestamp()',
			],
			'updated_at'       => [
				'type'           => 'DATETIME',
				// 'default'        => 'current_timestamp()',
			]
			]);
			$this->forge->addKey('id', TRUE);
			$this->forge->createTable('categories');
	}

	//--------------------------------------------------------------------

	public function down()
	{
		$this->forge->dropTable('categories');
	}
}
