<?php namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Streams extends Migration
{
	public function up()
	{
		$this->forge->addField([
			'id'          => [
					'type'           => 'INT',
					'unsigned'       => TRUE,
					'auto_increment' => TRUE
			],
			'opponent1Name'       => [
					'type'           => 'VARCHAR',
					'constraint'     => '50',
			],
			'opponent2Name'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '50',
			],
			'opponent1LogoUrl'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '255',
				'null'           => true
			],
			'opponent2LogoUrl'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '255',
				'null'           => true
			],
			'opponent1Image'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '70',
				'null'           => true
			],
			'opponent2Image'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '70',
				'null'           => true
			],
			'category'       => [
				'type'           => 'INT',
				'constraint'     => '2',
			],
			'streamLink'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '255',
			],
			'chatLink'       => [
				'type'           => 'VARCHAR',
				'constraint'     => '255',
			],
			'startTime datetime default current_timestamp',
			'endTime datetime default current_timestamp',
			'created_at'       => [
				'type'           => 'DATETIME',
				// 'default'        => 'current_timestamp()',
			],
			'updated_at'       => [
				'type'           => 'DATETIME',
				// 'default'        => 'current_timestamp()',
			]
			]);
			$this->forge->addKey('id', TRUE);
			$this->forge->createTable('streams');
	}

	//--------------------------------------------------------------------

	public function down()
	{
		$this->forge->dropTable('streams');
	}
}
